var EventManager = function(){ 
	
	this.dispatchCustomEvent = function(controlName, eventName, isBubbling, dataObj){ 
		$(eval(controlName)).trigger(
				{
					type:eventName,
					obj:dataObj
				}, isBubbling);
	}
	
	this.addControlEventListener = function(controlName, eventName, callBackFn){ 
		$(controlName).bind(eventName, callBackFn);		
	}
	
	this.removeControlEventListener = function(controlName, eventName, callBackFn){ 
		$(controlName).unbind(eventName, callBackFn);
	}
}